Results 1 to 2 of 2
  1. #1
    OS X 10.6.5 and EOS Utility 2.9.0 incompatibility

    Member Since
    Dec 15, 2010
    Posts
    2
    Angry OS X 10.6.5 and EOS Utility 2.9.0 incompatibility
    I recently upgraded to Snow Leopard and can after that not connect to my cameras.

    My Google searches have already showed me that there are serious compatibility issues with Snow Leopard and Canon software, but although I have updated EOS to 2.9.0, it still freezes when I try to connect either my Canon IXUS 8515, or my Canon PowerShot SX100IS.

    Does anyone have up-to-date information on this problem?

    What do I have to wait for now..?

    Thanks
    Johanna

  2. #2
    OS X 10.6.5 and EOS Utility 2.9.0 incompatibility

    Member Since
    Jun 02, 2008
    Posts
    709
    Have you tried to install the drivers off of Canon's WEB site?

    Canon U.S.A. : Support & Drivers : PowerShot SX100 IS

    Generally Mac will work out of the box, but if it doesn't head to the vendor and see if they have a better driver.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. OS-PRINTER incompatibility
    By meche in forum OS X - Operating System
    Replies: 14
    Last Post: 11-29-2014, 01:34 AM
  2. Canon eos utility compatibility
    By conorL in forum OS X - Operating System
    Replies: 0
    Last Post: 10-10-2012, 09:41 AM
  3. OS X 10.5 and printer incompatibility
    By Barbara Jay in forum OS X - Operating System
    Replies: 11
    Last Post: 09-18-2012, 05:42 PM
  4. Canon EOS Utility keeps crashing, is there a fix??
    By fleurya in forum Images, Graphic Design, and Digital Photography
    Replies: 5
    Last Post: 05-09-2011, 01:50 PM
  5. Incompatibility Issue?
    By CobR in forum OS X - Operating System
    Replies: 0
    Last Post: 09-02-2009, 07:32 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •